Package org.springframework.security.web.header.writers

# Class CacheControlHeadersWriter

java.lang.Object
org.springframework.security.web.header.writers.CacheControlHeadersWriter

All Implemented Interfaces:
  `HeaderWriter`

public final class CacheControlHeadersWriter extends Object implements HeaderWriter
Inserts headers to prevent caching if no cache control headers have been specified. Specifically it adds the following headers:

- Cache-Control: no-cache, no-store, max-age=0, must-revalidate
- Pragma: no-cache
- Expires: 0

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`CacheControlHeadersWriter()`
Creates a new instance

## Method Summary

Modifier and Type
Method
Description
`void`
`writeHeaders(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
Create a `Header` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CacheControlHeadersWriter

public CacheControlHeadersWriter()
Creates a new instance

## Method Details

### writeHeaders

public void writeHeaders(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)
Description copied from interface: `HeaderWriter`
Create a `Header` instance.

Specified by:
  `writeHeaders` in interface `HeaderWriter`
Parameters:
  `request` - the request
  `response` - the response